#!/bin/sh

instance=""

if [ "$1" = "-i" ] ; then
    if [ -n "$2" ] ; then
        instance=$2
    else
        echo "Error: instance key is passed but instance is not defined. Exiting..."
        exit
    fi
fi

if [ -n "$instance" -a "$instance" != "all" ] ; then
    ins_test=`expr $instance + 1 - 1 2>/dev/null`
    if [ "$instance" != "$ins_test" ] ; then
        echo "Error: instance should be integer or 'all'. Exiting..."
        exit        
    fi
fi

ins_text=""
ins_args=""

if [ -n "$instance" ] ; then
    if [ "$instance" = "all" ] ; then
        ins_text="All instances"
    else
        ins_text="Instance $instance"
    fi
    ins_args="-i $instance"
else
    ins_text="Default instance"
fi

dir="`pwd`"

echo "$ins_text will be stopped."

echo "===== Stopping IRZ Radar-24 JSON Adapter ($ins_text) ====="
cd "$dir"
cd radar24-json-adapter
sh ./finish.sh $ins_args

sleep 2s

echo "===== Stopping IRZ Radar-24 Server ($ins_text) ====="
cd "$dir"
cd radar24-server
sh ./finish.sh $ins_args

sleep 2s

echo "===== Stopping IRZ RSP Server ($ins_text) ====="
cd "$dir"
cd remote-serialport-server
sh ./finish.sh $ins_args

