#!/bin/sh

command0="radar24-server"

instance=""
nst_file=""
pid_file=""

if [ "$1" = "-i" ] ; then
    if [ -n "$2" ] ; then
        instance=$2
    else
        echo "Error: instance key is passed but instance is not defined. Exiting..."
        exit
    fi
fi

if [ "$instance" = "all" ] ; then
    echo "All running instances of $command0 will be stopped."
    pid=`pidof $command0`
    if [ -n "$pid" ] ; then
        touch nostart
        echo "Found $command0 pid(s) $pid. Killing..."
        kill $pid
        rm -f .*.pid
        sleep 2s
        echo "Done."
        rm -f nostart
    else
        echo "No running instance of $command0 is found."
    fi
    exit
else
    if [ -n "$instance" ] ; then
        ins_test=`expr $instance + 1 - 1 2>/dev/null`
        if [ "$instance" != "$ins_test" ] ; then
            echo "Error: instance should be integer or 'all'. Exiting..."
            exit        
        fi
    fi
fi

if [ -n "$instance" ] ; then
    echo "Instance is $instance."
    pid_file=".instance_$instance.pid"
    nst_file="nostart_$instance"
else
    echo "Instance is not defined."
    pid_file=".instance_d.pid"
    nst_file="nostart_d"
fi

echo "Pid info file is '$pid_file'."

if [ -f "$pid_file" ] ; then
    echo "Pid info file is found."
    pid=`cat $pid_file`
    echo "Saved pid is $pid."
    cmd_file="/proc/$pid/comm"
    if [ -f "$cmd_file" ] ; then
        cmd=`cat $cmd_file`
        echo "Process with pid $pid is found, command is '$cmd'."
        len_trim="${#cmd}"
        cmd_trim=`echo $command0 | cut -c1-$len_trim`
        if [ "$cmd" = "$cmd_trim" ] ; then
            echo "Process' name matches. Killing..."
            touch $nst_file
            kill $pid
            sleep 2s
            rm -f $nst_file

        else
            echo "Process' name doesn't match. Pid info file is obsolete. Skipping..."
        fi
    else
        echo "Process with pid $pid is not found. Pid info file is obsolete. Skipping..."
    fi
    echo "Removing pid info file..."
    rm -f $pid_file
else
    echo "Pid info file is not found. Skipping..."
fi

